--
-- Base de données: `continental`
--

-- --------------------------------------------------------

--
-- Structure de la table `fournisseurs`
--

CREATE TABLE IF NOT EXISTS `fournisseurs` (
  `N_FOURNISSEUR` int(11) NOT NULL,
  `SOCIETE` varchar(20) DEFAULT NULL,
  `CONTACT` varchar(15) DEFAULT NULL,
  `FONCTION` varchar(15) DEFAULT NULL,
  `ADRESSE` varchar(25) DEFAULT NULL,
  `VILLE` varchar(25) DEFAULT NULL,
  `REGION` varchar(20) DEFAULT NULL,
  `CODE_POSTAL` varchar(10) DEFAULT NULL,
  `PAYS` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`N_FOURNISSEUR`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `fournisseurs`
--

INSERT INTO `fournisseurs` (`N_FOURNISSEUR`, `SOCIETE`, `CONTACT`, `FONCTION`, `ADRESSE`, `VILLE`, `REGION`, `CODE_POSTAL`, `PAYS`) VALUES
(1, 'Exotic Liquids', 'Charlotte Coope', 'Assistant expor', '49 Gilbert St.', 'London', NULL, 'EC1 4SD', 'Royaume-Uni'),
(2, 'New Orleans Cajun De', 'Shelley Burke', 'Acheteur', 'P.O. Box 78934', 'New Orleans', 'LA', '70117', 'Etats-Unis'),
(3, 'Grandma Kellys Home', 'Regina Murphy', 'Représentant', '707 Oxford Rd.', 'Ann Arbor', 'MI', '48104', 'Etats-Unis'),
(4, 'Tokyo Traders', 'Yoshi Nagase', 'Directeur du ma', '9-8 SekimaiMusashino-sh', 'Tokyo', NULL, '100', 'Japon'),
(5, 'Cooperativa de Queso', 'Antonio del Val', 'Responsable exp', 'Calle del Rosal 4', 'Oviedo', 'Asturias', '33007', 'Espagne'),
(6, 'Mayumis', 'Mayumi Ohno', 'Chef de produit', '92 SetsukoChuo-ku', 'Osaka', NULL, '545', 'Japon'),
(7, 'Pavlova, Ltd.', 'Ian Devling', 'Directeur ', '74 Rose St.Moonie Ponds', 'Melbourne', 'Victoria', '3058', 'Australie'),
(8, 'Specialty Biscuits,', 'Peter Wilson', 'Représentant', '29 Kings Way', 'Manchester', NULL, 'M14 GSD', 'Royaume-Uni'),
(9, 'PB Knäckebröd AB', 'Lars Peterson', 'Assistant de', 'Kaloadagatan 13', 'Göteborg', NULL, 'S-345 67', 'Suède'),
(10, 'Refrescos Americanas', 'Carlos Diaz', 'Directeur du ma', 'Av. das Americanas 12.890', 'São Paulo', NULL, '5442', 'Brésil'),
(11, 'Heli Süßwaren GmbH', 'Petra Winkler', 'Chef des ventes', 'Tiergartenstraße 5', 'Berlin', NULL, '10785', 'Allemagne'),
(12, 'Plutzer Lebensmittel', 'Martin Bein', 'Directeur du ma', 'Bogenallee 51', 'Frankfurt', NULL, '60439', 'Allemagne'),
(13, 'Nord-Ost-Fisch Hande', 'Sven Petersen', 'Responsable exp', 'Frahmredder 112a', 'Cuxhaven', NULL, '27478', 'Allemagne'),
(14, 'Formaggi Fortini', 'Elio Rossi', 'Représentant', 'Viale Dante, 75', 'Ravenna', NULL, '48100', 'Italie'),
(15, 'Norske Meierier', 'Beate Vileid', 'Directeur du ma', 'Hatlevegen 5', 'Sandvika', NULL, '1320', 'Norvège'),
(16, 'Bigfoot Breweries', 'Cheryl Saylor', 'Responsable de', '3400 - 8th AvenueSuite', 'Bend', 'OR', '97101', 'Etats-Unis'),
(17, 'Svensk Sjöföda AB', 'Michael Björn', 'Représentant', 'Brovallavägen 231', 'Stockholm', NULL, 'S-123 45', 'Suède'),
(18, 'Aux joyeux ecclés', 'Guylène Nodier', 'Chef des ventes', '203 Rue des Francs-Bourg', 'Paris', NULL, '75004', 'France'),
(19, 'New England Seafood', 'Robb Merchant', 'Responsable', 'Order Processing Dept.2', 'Boston', 'MA', '02134', 'Etats-Unis'),
(20, 'Leka Trading', 'Chandra Leka', 'Propriétaire', '471 Serangoon Loop, Suite', 'Singapore', NULL, '0512', 'Singapour'),
(21, 'Lyngbysild', 'Niels Petersen', 'Chef des ventes', 'LyngbysildFiskebakken 1', 'Lyngby', NULL, '2800', 'Danemark'),
(22, 'Zaanse Snoepfabriek', 'Dirk Luchte', 'Chef comptable', 'Verkoop Rijnweg 22', 'Zaandam', NULL, '9999 ZZ', 'Pays-Bas'),
(23, 'Karkki Oy', 'Anne Heikkonen', 'Chef de produit', 'Valtakatu 12', 'Lappeenranta', NULL, '53120', 'Finlande'),
(24, 'Gday, Mate', 'Wendy Mackenzie', 'Représentant', '170 Prince Edward Parade', 'Sydney', 'NSW', '2042', 'Australie'),
(25, 'Ma Maison', 'Jean-Guy Lauzon', 'Directeur du ma', '2960 Rue St. Laurent', 'Montréal', 'Québec', 'H1J 1C3', 'Canada'),
(26, 'Pasta Buttini s.r.l.', 'Giovanni Giudic', 'Acheteur', 'Via dei Gelsomini, 153', 'Salerno', NULL, '84100', 'Italie'),
(27, 'Escargots Nouveaux', 'Marie Delamare', 'Chef des ventes', '22 rue H. Voiron', 'Montceau', NULL, '71300', 'France'),
(28, 'Gai pâturage', 'Eliane Noz', 'Représentant', 'Bat. B3 rue des Alpes', 'Annecy', NULL, '74000', 'France'),
(29, 'Forêts érables', 'Chantal Goulet', 'Chef comptable', '148 rue Chasseur', 'Ste-Hyacinthe', 'Québec', 'J2S 7S8', 'Canada');

-- --------------------------------------------------------
--
-- Structure de la table `produits`
--

CREATE TABLE IF NOT EXISTS `produits` (
  `REF_PRODUIT` int(11) NOT NULL,
  `N_FOURNISSEUR` int(11) DEFAULT NULL,
  `CODE__CATEGORIE` varchar(4) DEFAULT NULL,
  `NOM_PRODUIT` varchar(40) DEFAULT NULL,
  `QUANTITE_UNITE` varchar(30) DEFAULT NULL,
  `PRIX_UNITAIRE` decimal(19,4) DEFAULT NULL,
  `TVA` float DEFAULT NULL,
  `UNITES_STOCK` smallint(6) DEFAULT NULL,
  `UNITES_COMMANDEES` double DEFAULT NULL,
  `NIVEAU_REAPPRO` double DEFAULT NULL,
  `INDISPONIBLE` tinyint(1) DEFAULT NULL,
  `COMMISSION` decimal(19,4) DEFAULT NULL,
  PRIMARY KEY (`REF_PRODUIT`),
  KEY `N_FOURNISSEUR` (`N_FOURNISSEUR`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Contenu de la table `produits`
--

INSERT INTO `produits` (`REF_PRODUIT`, `N_FOURNISSEUR`, `CODE__CATEGORIE`, `NOM_PRODUIT`, `QUANTITE_UNITE`, `PRIX_UNITAIRE`, `TVA`, `UNITES_STOCK`, `UNITES_COMMANDEES`, `NIVEAU_REAPPRO`, `INDISPONIBLE`, `COMMISSION`) VALUES
(1, 2, 'C188', 'Chai', '10 boîtes x 20 sacs', 13.8000, NULL, 39, 0, 10, 0, NULL),
(2, 1, 'B087', 'Chang', '24  bouteilles (12 onces)', 14.6000, NULL, 13, 40, 25, 0, NULL),
(3, 1, 'C088', 'Aniseed Syrup', '12 bouteilles (550 ml)', 7.7000, NULL, 13, 70, 25, 0, NULL),
(4, 2, 'C088', 'Chef Anton Cajun Seasoning', '48 pots (6 onces)', 16.9000, NULL, 53, 0, 0, 0, NULL),
(5, 2, 'C088', 'Chef Anton Gumbo Mix', '36 boîtes', 16.4000, NULL, 0, 0, 0, 1, NULL),
(6, 3, 'C088', 'Grandma Boysenberry Spread', '12 pots (8 onces)', 19.2000, NULL, 120, 0, 25, 0, NULL),
(7, 3, 'P090', 'Uncle Bobs Organic Dried Pears', '12 cartons (1 livre)', 23.1000, NULL, 15, 0, 10, 0, NULL),
(8, 3, 'C088', 'Northwoods Cranberry Sauce', '12 pots (12 onces)', 30.8000, NULL, 6, 0, 0, 0, NULL),
(9, 4, 'M090', 'Mishi Kobe Niku', '18 cartons (500 g)', 74.6000, NULL, 29, 0, 0, 1, NULL),
(10, 4, 'S092', 'Ikura', '12 pots (200 ml)', 23.8000, NULL, 31, 0, 0, 0, NULL),
(11, 5, 'D091', 'Queso Cabrales', '1 carton (1kg)', 16.2000, NULL, 22, 30, 30, 0, NULL),
(12, 5, 'D091', 'Queso Manchego La Pastora', '10 cartons (500 g)', 29.2000, 5.5, 86, 0, 0, 0, NULL),
(13, 6, 'S092', 'Konbu', '1 boîte (2 kg)', 4.6000, NULL, 24, 0, 5, 0, NULL),
(14, 6, 'P090', 'Tofu', '40 cartons (100 g)', 17.9000, NULL, 35, 0, 0, 0, NULL),
(15, 6, 'C088', 'Genen Shouyu', '24 pots (250 ml)', 11.9000, 5.5, 39, 0, 5, 0, NULL),
(16, 7, 'C188', 'Pavlova', '32 boîtes (500 g)', 13.4000, NULL, 29, 0, 10, 0, NULL),
(17, 11, 'C188', 'Alice Mutton', '20 boîtes (1kg)', 30.0000, NULL, 0, 0, 0, 1, NULL),
(18, 9, 'S092', 'Carnarvon Tigers', '1 carton (16 kg)', 48.1000, NULL, 42, 0, 0, 0, NULL),
(19, 8, 'C188', 'Teatime Chocolate Biscuits', '10 boîtes x 12 pièces', 7.1000, NULL, 25, 0, 5, 0, NULL),
(20, 8, 'C188', 'Sir Rodney Marmalade', '30 boîtes', 62.3000, NULL, 40, 0, 0, 0, NULL),
(21, 8, 'C188', 'Sir Rodney Scones', '24 boîtes x 4 pièces', 7.7000, NULL, 3, 40, 5, 0, NULL),
(22, 9, 'G089', 'Gustaf Knäckebröd', '24 cartons (500 g)', 16.2000, NULL, 104, 0, 25, 0, NULL),
(23, 9, 'G089', 'Tunnbröd', '12 cartons (250 g)', 6.9000, NULL, 61, 0, 25, 0, NULL),
(24, 10, 'B087', 'Guaraná Fantástica', '12 canettes (355 ml)', 3.5000, NULL, 20, 0, 0, 1, NULL),
(25, 11, 'C188', 'NuNuCa Nuß-Nougat-Creme', '20 verres (450 g)', 10.8000, NULL, 76, 0, 30, 0, NULL),
(26, 11, 'C188', 'Gumbär Gummibärchen', '100 sacs (250 g)', 24.0000, NULL, 15, 0, 0, 0, NULL),
(27, 11, 'C188', 'Schoggi Schokolade', '100 pièces (100 g)', 33.8000, NULL, 49, 0, 30, 0, NULL),
(28, 12, 'P090', 'Rössle Sauerkraut', '25 boîtes - 825 g', 35.1000, NULL, 26, 0, 0, 1, NULL),
(29, 12, 'M090', 'Thüringer Rostbratwurst', '50 sacs x 30 saucisses', 95.2000, NULL, 0, 0, 0, 1, NULL),
(30, 13, 'S092', 'Nord-Ost Matjeshering', '10 verres (200 g)', 19.9000, NULL, 10, 0, 15, 0, NULL),
(31, 14, 'D091', 'Gorgonzola Telino', '12 cartons (100 g)', 9.6000, NULL, 0, 70, 20, 0, NULL),
(32, 14, 'D091', 'Mascarpone Fabioli', '24 cartons (200 g)', 24.6000, NULL, 9, 40, 25, 0, NULL),
(33, 15, 'D091', 'Geitost', '500 g', 1.9000, NULL, 112, 0, 20, 0, NULL),
(34, 16, 'B087', 'Sasquatch Ale', '24 bouteilles (12 onces)', 10.8000, NULL, 111, 0, 15, 0, NULL),
(35, 16, 'B087', 'Steeleye Stout', '24 bouteilles (12 onces)', 13.8000, NULL, 20, 0, 15, 0, NULL),
(36, 17, 'S092', 'Inlagd Sill', '24 pots (250 g)', 14.6000, NULL, 112, 0, 20, 0, NULL),
(37, 17, 'S092', 'Gravad lax', '12 cartons (500 g)', 20.0000, NULL, 11, 50, 25, 0, NULL),
(38, 18, 'B087', 'Côte de Blaye', '12 bouteilles (75 cl)', 202.7000, NULL, 17, 0, 15, 0, NULL),
(39, 18, 'B087', 'Chartreuse verte', '1 bouteille (75 cl)', 13.8000, NULL, 69, 0, 5, 0, NULL),
(40, 19, 'S092', 'Boston Crab Meat', '24 boîtes (4 onces)', 14.2000, NULL, 123, 0, 30, 0, NULL),
(41, 19, 'S092', 'Jacks New England Clam Chowder', '12 canettes (12 onces)', 7.4000, NULL, 85, 0, 10, 0, NULL),
(42, 20, 'G089', 'Singaporean Hokkien Fried Mee', '32 cartons (1 kg)', 10.8000, NULL, 26, 0, 0, 1, NULL),
(43, 20, 'B087', 'Ipoh Coffee', '16 boîtes (500 g)', 35.4000, NULL, 17, 10, 25, 0, NULL),
(44, 20, 'C088', 'Gula Malacca', '20 sacs (2kg)', 15.0000, NULL, 27, 0, 15, 0, NULL),
(45, 21, 'S092', 'Røgede sild', '1 carton (1kg)', 7.3000, NULL, 5, 70, 15, 0, NULL),
(46, 21, 'S092', 'Spegesild', '4 verres (450 g)', 9.2000, NULL, 95, 0, 0, 0, NULL),
(47, 22, 'C188', 'Zaanse koeken', '10 boîtes (4 onces)', 7.3000, NULL, 36, 0, 0, 0, NULL),
(48, 22, 'C188', 'Chocolade', '10 cartons', 9.8000, NULL, 15, 70, 25, 0, NULL),
(49, 23, 'C188', 'Maxilaku', '50 cartons (24 g)', 15.4000, NULL, 10, 60, 15, 0, NULL),
(50, 23, 'C188', 'Valkoinen suklaa', '12 plaquettes (100 g)', 12.5000, NULL, 65, 0, 30, 0, NULL),
(51, NULL, NULL, NULL, NULL, NULL, 19.6, NULL, 100, 100, 0, 0.0000);


--
-- Contraintes pour la table `produits`
--
ALTER TABLE `produits`
  ADD FOREIGN KEY (`N_FOURNISSEUR`) REFERENCES `fournisseurs` (`N_FOURNISSEUR`);
